Bug 60359 - AssemblyName.set_CultureName is not implemented
Summary: AssemblyName.set_CultureName is not implemented
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: mscorlib (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: Future Release
Assignee: Katelyn Gadd
URL:
Depends on:
Blocks:
 
Reported: 2017-10-25 01:26 UTC by Ankit Jain
Modified: 2018-02-11 16:30 UTC (History)
4 users (show)

Tags: bugpool-archive
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Ankit Jain 2017-10-25 01:26:26 UTC
using System;
using System.Reflection;

public class Test
{
        public static void Main ()
        {
                AssemblyName aname = Assembly.GetExecutingAssembly ().GetName ();
                Console.WriteLine ($"Original: {aname}");

                aname.CultureName = "en-US";
                Console.WriteLine ($"Modified: {aname}");
        }
}

running this:

Unhandled Exception:
System.NotImplementedException: The method or operation is not implemented.
  at Test.Main () [0x0001d] in <f8a4e5b96c4a4cf3b99acdb13b4ce856>:0
[ERROR] FATAL UNHANDLED EXCEPTION: System.NotImplementedException: The method or operation is not implemented.
  at Test.Main () [0x0001d] in <f8a4e5b96c4a4cf3b99acdb13b4ce856>:0

Expected output would be something like:

Original: p, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
Modified: p, Version=1.0.0.0, Culture=en-US, PublicKeyToken=null
Comment 1 Katelyn Gadd 2018-01-12 19:49:30 UTC
Fixed by https://github.com/mono/mono/pull/6489